<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: DeclRefExprType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_decl_ref_expr_type.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_decl_ref_expr_type-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">DeclRefExprType Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_write_j_s_o_n_report_8h_source.html">WriteJSONReport.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for DeclRefExprType:</div>
<div class="dyncontent">
<div class="center"><img src="struct_decl_ref_expr_type__coll__graph.png" border="0" usemap="#_decl_ref_expr_type_coll__map" alt="Collaboration graph"/></div>
<map name="_decl_ref_expr_type_coll__map" id="_decl_ref_expr_type_coll__map">
<area shape="rect" title=" " alt="" coords="27,95,159,121"/>
<area shape="rect" href="struct_def_type.html" title=" " alt="" coords="5,5,80,32"/>
<area shape="rect" href="struct_decl_type.html" title=" " alt="" coords="105,5,186,32"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa7f9f1cbe3b8dea30556a05e3dc2847a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_decl_ref_expr_type.html#aa7f9f1cbe3b8dea30556a05e3dc2847a">Nod</a></td></tr>
<tr class="separator:aa7f9f1cbe3b8dea30556a05e3dc2847a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43a9948bc6e2a9573e2ec3c0a7b4301a"><td class="memItemLeft" align="right" valign="top">unsigned&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_decl_ref_expr_type.html#a43a9948bc6e2a9573e2ec3c0a7b4301a">nodeID</a></td></tr>
<tr class="separator:a43a9948bc6e2a9573e2ec3c0a7b4301a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6696ed9a7333b50407b34038c148240"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_decl_type.html">DeclType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_decl_ref_expr_type.html#ae6696ed9a7333b50407b34038c148240">Decl</a></td></tr>
<tr class="separator:ae6696ed9a7333b50407b34038c148240"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a005a514e3ecaf096ca9c192ecaa103aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="struct_def_type.html">DefType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_decl_ref_expr_type.html#a005a514e3ecaf096ca9c192ecaa103aa">Def</a></td></tr>
<tr class="separator:a005a514e3ecaf096ca9c192ecaa103aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b61b8f8125851db3c2e5687aa1b5d37"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_decl_ref_expr_type.html#a7b61b8f8125851db3c2e5687aa1b5d37">children</a></td></tr>
<tr class="separator:a7b61b8f8125851db3c2e5687aa1b5d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7b61b8f8125851db3c2e5687aa1b5d37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b61b8f8125851db3c2e5687aa1b5d37">&#9670;&nbsp;</a></span>children</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#ab701e3ac61a85b337ec5c1abaad6742d">json</a> DeclRefExprType::children</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae6696ed9a7333b50407b34038c148240"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6696ed9a7333b50407b34038c148240">&#9670;&nbsp;</a></span>Decl</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_decl_type.html">DeclType</a> DeclRefExprType::Decl</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a005a514e3ecaf096ca9c192ecaa103aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a005a514e3ecaf096ca9c192ecaa103aa">&#9670;&nbsp;</a></span>Def</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="struct_def_type.html">DefType</a> DeclRefExprType::Def</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa7f9f1cbe3b8dea30556a05e3dc2847a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7f9f1cbe3b8dea30556a05e3dc2847a">&#9670;&nbsp;</a></span>Nod</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_write_j_s_o_n_report_8h.html#a14ca0b0420e32b2a603589b79d680a9e">nodeEnum</a> DeclRefExprType::Nod</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a43a9948bc6e2a9573e2ec3c0a7b4301a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43a9948bc6e2a9573e2ec3c0a7b4301a">&#9670;&nbsp;</a></span>nodeID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned DeclRefExprType::nodeID</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="struct_decl_ref_expr_type.html">DeclRefExprType</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
